package  Alma;
import  Lisa.Parser.*;
import  Lisa.Scanner.CToken;

public  class  CFuncNode  extends  CAlmaNode  {
	/* @param name    --- name of function/procedure
	 *        args    --- arguments of function/procedure (could be empty)
	 *        returnT --- return type of function/procedure (could be empty)
	 *        stats   --- the body of function/procedure
	 * */
	public  CFuncNode(CToken var, String returnT, CAlmaNode  args,  CAlmaNode stats)  {
	
		super(new CParseSymbolNonTerm("FUNC",7),  var.value(),  "null",  returnT);
		setToken(var);				
		setProdNumber(58);
		if (args == null)	{   addNode(new CTreeNode(new CParseSymbolTerm("null",0,true,true)));   }
		else			{   addNode(args);	}
		if (stats == null)	{   addNode(new CTreeNode(new CParseSymbolTerm("null",0,true,true)));   }
		else			{   addNode(stats);	}
	} 

}
