package Alma;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Point;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.Color;
import java.awt.Toolkit;

import java.util.ArrayList;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.JSplitPane;
import javax.swing.JScrollPane;

import org.jgraph.graph.DefaultGraphCell;
import org.jgraph.graph.DefaultEdge;


public class ErrorDialog extends JDialog implements ActionListener {

	private String text;
	private JButton close;
	private TextOutputPanel output;

  public ErrorDialog(JFrame parent) 
  {
	  super(parent, "Error parsing file", true);

	  Dimension d        = Toolkit.getDefaultToolkit().getScreenSize();
	
	  // Create an instance of the panel subclass
	  // with JTextArea to show output
	  output = new TextOutputPanel ();

	  setSize(500,300);        // size in pixels
	  setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
	  setLocationRelativeTo(null);
	  getContentPane().add(output);
  }

  // Send text to the JTextArea.
  public void println(String s) {
	this.output.println(s);
  }

  public void makeVisible() {
	  setVisible(true);
  }

  public void actionPerformed(ActionEvent e) 
  {
	setVisible(false); 
	dispose(); 
  } 
}
 

