package Alma;

import java.util.ArrayList;

public class GraphSteps
{
	private ArrayList steps;
	private int position;
	
	public GraphSteps()
	{
		this.steps = new ArrayList();
		this.position = 0;
	}

	public void add(ArrayList steps)
	{
		this.steps.add(steps);
	}

	public ArrayList getBackStep()
	{
		ArrayList tmp = new ArrayList();
		
		if ((this.steps != null) && (this.position >= 0))
		{
			if (this.position != 0) {this.position--; }
			tmp = (ArrayList)this.steps.get(this.position);
		}

		return tmp;
		
	}
	
	public ArrayList getForwardStep()
	{
		ArrayList tmp = new ArrayList();
		
		if ((this.steps != null) && 
		    (this.position >= 0) && 
		    (this.position < this.steps.size()-1))
		{
			this.position++;
			tmp = (ArrayList)this.steps.get(this.position);
		}

		return tmp;
		
	}
	
	public ArrayList getSteps()
	{
		return this.steps;
	}

	public int getPosition()
	{
		return this.position;
	}

	/*
	 * set the position 
	 * */
	public void setPosition(int position)
	{
		this.position = position;
	}
}


