package  Alma;
import  Lisa.Parser.*;
import  Lisa.Scanner.CToken;

public  class  COperRelNode  extends  CAlmaNode  {
	public  COperRelNode(CAlmaNode  aStmt1,  CAlmaNode  aStmt2,  String  aName)  {
	
		super(new CParseSymbolNonTerm("OPERREL",9),  aName,  "null",  "null");
		setProdNumber(15);
		addNode(aStmt1);
		addNode(aStmt2);
	}  

	public  COperRelNode(CAlmaNode  aStmt1,  CAlmaNode  aStmt2,  CToken op)  {
	
		super(new CParseSymbolNonTerm("OPERREL",9),  op.value(),  "null",  "null");
		setToken(op);				
		setProdNumber(15);
		addNode(aStmt1);
		addNode(aStmt2);
	}  
        
	public  COperRelNode(CAlmaNode  aStmt1,  String  aName)  {
	
		super(new CParseSymbolNonTerm("OPERREL",9),  aName,  "null",  "null");
		setProdNumber(16);
		addNode(aStmt1);
	}  

	public  COperRelNode(CAlmaNode  aStmt1,  CToken  op)  {
	
		super(new CParseSymbolNonTerm("OPERREL",9),  op.value(),  "null",  "null");
		setToken(op);				
		setProdNumber(16);
		addNode(aStmt1);
	}  

}
