/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Alma;

import Alma.animation.Actor;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.ArrayList;

/**
 *
 * @author Nuno Oliveira
 */
class CloseDialogListener extends WindowAdapter{
    private AnimateFrame parent;
    private ArrayList<Actor> actors;


    CloseDialogListener(AnimateFrame parent, ArrayList<Actor> actors) {
        this.parent = parent;
        this.actors = actors;
    }


    /**
     * The method is called when the event of deactivation of a window occurs.
     * A window is deactivated when it is disposed, for instance.
     * @param e the event occurred
     */
    @Override
  public void windowClosing(WindowEvent e){
    this.parent.setActors(this.actors);
  }


    /**
     * The method is called when the event of deactivation of a window occurs.
     * A window is deactivated when it is disposed, for instance.
     * @param e the event occurred
     */
    @Override
  public void windowDeactivated(WindowEvent e){
    this.parent.setActors(this.actors);
  }



}
