package Alma;

import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.*;
import java.awt.*;
 
public class ColorCellRenderer
  extends DefaultTableCellRenderer
{
  private int row1, row2;
  private Color color1, color2;
	
  public ColorCellRenderer(int row1, int row2, Color color1, Color color2)
  {
    this.row1    = row1;
    this.row2    = row2;    
    this.color1  = color1;
    this.color2  = color2;    
  }
	
  public Component getTableCellRendererComponent(JTable table, Object value,
    boolean isSelected, boolean hasFocus, int row, int column)
  {
	if (value == null)
	{
		setText("");
	}
	else
	{
		setText(String.valueOf(value));
	}
      if (this.row1 == row)
      {
          this.setBackground(this.color1);  
          return(this);   
  	}
      else if (this.row2 == row)
      {
          this.setBackground(this.color2);  
          return(this);   
      }

    this.setBackground(Color.WHITE);  
    return this;
  }
}


