package  Alma;
import  Lisa.Parser.*;
import java.util.Hashtable;


public  class  CRoot  extends  CSyntaxTree  {

	public Hashtable types;
	public boolean isByCopy;

	public  CRoot(CAlmaNode  aStmt1, boolean isByCopy)  {
		isByCopy = isByCopy;
		types    = new Hashtable();
	        setRoot((CTreeNode)aStmt1);
	} 

	public  CRoot(CAlmaNode  aStmt1,  boolean isByCopy, Type t)  {
		isByCopy = isByCopy;
		types    = new Hashtable();
		addType(t);
	        setRoot((CTreeNode)aStmt1);
	} 

	public  CRoot(CAlmaNode  aStmt1,  boolean isByCopy, Type t1, Type t2)  {
		isByCopy = isByCopy;
		types    = new Hashtable();
		addType(t1);
		addType(t2);
	        setRoot((CTreeNode)aStmt1);
	} 

	public  CRoot(CAlmaNode  aStmt1,  boolean isByCopy, Type t1, Type t2, Type t3)  {
		isByCopy = isByCopy;
		types    = new Hashtable();
		addType(t1);
		addType(t2);
		addType(t3);
	        setRoot((CTreeNode)aStmt1);
	} 

	public  CRoot(CAlmaNode  aStmt1,  boolean isByCopy, Type t1, Type t2, Type t3, Type t4)  {
		isByCopy = isByCopy;
		types    = new Hashtable();
		addType(t1);
		addType(t2);
		addType(t3);
		addType(t4);
	        setRoot((CTreeNode)aStmt1);
	} 

	public void addType(Type t) {
		if (t.getInstance().equals("integer")) {
			this.types.put(t.getName(),"integer");
		}
		else if (t.getInstance().equals("float")) {
			this.types.put(t.getName(),"float");
		}
		else if (t.getInstance().equals("array")) {
			this.types.put(t.getName(),"array");
		}
		else if (t.getInstance().equals("struct")) {
			this.types.put(t.getName(),"struct");
		}
	}

	public Hashtable getTableTypes() {
		return this.types;
	}

	public boolean getIsByCopy() {
		return this.isByCopy;
	}
}
