package Alma;

import  Lisa.Parser.*;
import  Lisa.Scanner.CToken;

public  class  CVarNode  extends  CAlmaNode  {

	public  CVarNode(CToken var)  {
	
		super(new CParseSymbolNonTerm("VAR",4),  var.value(),  "null",  "null");
		setToken(var);
		setProdNumber(22);

	}

	// more used in arguments of a function
	public  CVarNode(CToken var, String type)  {
	
		super(new CParseSymbolNonTerm("VAR",4),  var.value(),  "null",  type);
		setToken(var);
		setProdNumber(22);

	}

	public  CVarNode(CToken  var, CAlmaNode IndexOrField)  {
	
		super(new CParseSymbolNonTerm("VAR",4),  var.value(),  "null",  "null");
		setToken(var);
		setProdNumber(22);

		if (IndexOrField != null)
		{
			setParseSymbol(new CParseSymbolNonTerm("ASSIGN",7));
			Object[] attrs = {"null","null","ARRAY_OR_STRUCT"};
			setAttributes(attrs);
			addNode(new CVarNode(var));	
			addNode(IndexOrField);	
		}
	} 

}
