/*
 * Calss to extend the AssignNode with the animation patterns
 */

package Alma.animation.nodes;

import Alma.CAlmaNode;
import Alma.CAssignNode;
import Alma.animation.Utilities;
import Alma.animation.patterns.AnimationPattern;
import Lisa.Scanner.CToken;

/**
 *
 * @author Nuno Oliveira
 */
public class AnimAssignNode extends CAssignNode {

    

    public AnimAssignNode(CToken var, CAlmaNode aStmt2, AnimationPattern[] aps) {
        super(var, aStmt2);
        super.setAps(Utilities.toArrayListAP(aps));
    }

    public AnimAssignNode(CAlmaNode var, CAlmaNode aStmt2, AnimationPattern[] aps) {
        super(var, aStmt2);
        super.setAps(Utilities.toArrayListAP(aps));
    }


}
