//Lisa 2.0  
//Laboratory for Computer Arhitectures and Programming Languages 
// %n is special string
// n = 0 inserts classname
// n = 1 inserts edges
// n = 2 inserts final state  type table
// n = 3 inserts final state names
// n = 4 start state of automata
// n = 5 max state of automata
// n = 6 vstavi alternative pricakuje pa argumente prv sledi takjo drugi se loci z %
// n = 7 -2 args vstavi semanticne funkcije prvi argument je predpona oz besedilo, ki se doda pored funkcijo (zradi prenosljivosti med java in C++
// n = 8  inserts final state types (all types)
// n = X najvecje stanje v avtomatu
// n = Y subscanner
// n = A begin of the nested scnner
// n = B end of nested scanner
// n = 0 inserst final constants for types 

import java.io.*;
import java.util.*;
import java.lang.*;
import Lisa.Scanner.CToken;
import Lisa.Scanner.LexicalAnalysis;
import Lisa.Scanner.ScannerAutomata;



public class CScanner implements LexicalAnalysis,ScannerAutomata
{

   public CScanner(InputStream aStream, String aStreamName) throws Exception
	 {
		stream = new BufferedInputStream(aStream);
		row = 1;
		column = 1;
		tokenRow = 1;
		tokenColumn = 1;		
		readNextChar();
		streamName = aStreamName;
                automatas.put("default", new _default());

                setScanner("default");
           }

   public void setScanner(String aName)
    {
        cscanner = automatas.get(aName);
        System.out.println("Switching to "+aName);
    }

   private int readNextChar()
	 {
	   	 int read=-1;

	     try
		  {
			 read = stream.read();
			 if (read==-1)
			   {
				  eof = true;
			   }
			 currentChar = read;
		  }
		
		catch (Exception exception)
		  {
			 eof = true;
		  }
		
		column++;
		if (currentChar=='\n') 
		  {
			 row++;
			 column = 0;
		  }
	   return read;	
	 }
   
private void mark()
	 {
		stream.mark(65535);
		backChar = currentChar;
		backRow = row;
		backColumn = column;
		lastEOF = eof;
	 }
   
   private void reset()
	 {
	   try
		  {
			 stream.reset();
		  }
		
		catch (IOException exception)
		  {
			 System.out.println("Prevec naprej");
		  }
		currentChar = backChar;
		row = backRow;
		column = backColumn;
		eof = lastEOF;
	 }
   
   

   private BufferedInputStream stream = null;
   private int column;
   private int row;
   private int tokenColumn;
   private int tokenRow;
   private boolean eof = false;
   private int currentChar; /* uporablja se ker ne obstaja metoda peek */
   private int backChar;
   private int backRow;
   private int backColumn;
   public static final int cLexError = -1;
   private String streamName;
   private boolean lastEOF;
   private Hashtable automatas = new Hashtable();
   
   private Object cscanner;

   public int getCategoryId(String aName)
   {
      for (int i=0; i<=45; i++)
	         {
		    if (aName.equals(finiteStateNameAll[i]))
		      return i;
		 }
      return -1;
   }

   public String getCategoryName(int aType)
   {
        if (aType ==-1) return "";
	else return finiteStateNameAll[aType];    
   }

   public CToken nextToken()
    {
        return ((LexicalAnalysis)cscanner).nextToken();
    }

   public CToken currentToken()
    {
        return ((LexicalAnalysis)cscanner).currentToken();
    }

    public int getStartState()
    {
            return ((ScannerAutomata)cscanner).getStartState();
    }
   
    public CToken peekToken(int k)
     {
        return ((LexicalAnalysis)cscanner).peekToken(k);
     }

     public CToken lexError(CToken aToken) {
         return ((LexicalAnalysis)cscanner).lexError(aToken);
     }

    public int scanLine(int aStartState, String aLine, Vector aTokens)
    {
        return ((LexicalAnalysis)cscanner).scanLine(aStartState,aLine,aTokens);
    }

    public CToken extend(String aToken)
    {
           return ((LexicalAnalysis)cscanner).extend(aToken);
    }

    public int maxCategoryId() {
        return ((LexicalAnalysis)cscanner).maxCategoryId();
    }

    public int getEdge(int aState, int aChar) throws Lisa.Scanner.AutomataException
    {
            return ((ScannerAutomata)cscanner).getEdge(aState, aChar);
    }
 

    public int getFiniteStateType(int aState)
    {
         return ((ScannerAutomata)cscanner).getFiniteStateType(aState);
    }
       
    public Vector getFiniteVector(int aState)
    {
        return ((ScannerAutomata)cscanner).getFiniteVector(aState);
    }
 

public class _default
 implements LexicalAnalysis,ScannerAutomata
{
        
   public static final int ckarel$While = 1;
   public static final int ckarel$Move = 2;
   public static final int ckarel$Identifier = 3;
   public static final int ckarel$Number = 4;
   public static final int ckarel$terminal = 5;
   public static final int ckarel$Iterate = 6;
   public static final int ckarel$Then = 7;
   public static final int ckarel$Else = 8;
   public static final int ckarel$Times = 9;
   public static final int ckarel$Pickbeeper = 10;
   public static final int ckarel$Putbeeper = 11;
   public static final int ckarel$Defnewinst = 12;
   public static final int ckarel$As = 13;
   public static final int ckarel$Do = 14;
   public static final int ckarel$Nexttobeeper = 15;
   public static final int ckarel$Beepersinbag = 16;
   public static final int ckarel$If = 17;
   public static final int ckarel$Nobeepersinbag = 18;
   public static final int ckarel$End = 19;
   public static final int ckarel$Notnexttobeeper = 20;
   public static final int ckarel$Turnleft = 21;
   public static final int ckarel$Turnoff = 22;
   public static final int ckarel$Begin = 23;
   public static final int ckarel$Turnon = 24;
   public static final int ckarel$Endexec = 25;
   public static final int ckarel$Facingnorth = 26;
   public static final int ckarel$Facingsouth = 27;
   public static final int ckarel$Facingeast = 28;
   public static final int ckarel$Facingwest = 29;
   public static final int ckarel$Endprog = 30;
   public static final int ckarel$Leftisblocked = 31;
   public static final int ckarel$Backisclear = 32;
   public static final int ckarel$Backisblocked = 33;
   public static final int ckarel$Leftisclear = 34;
   public static final int ckarel$Rightisblocked = 35;
   public static final int ckarel$Frontisclear = 36;
   public static final int ckarel$Frontisblocked = 37;
   public static final int ckarel$Rightisclear = 38;
   public static final int ckarel$Notfacingeast = 39;
   public static final int ckarel$Notfacingsouth = 40;
   public static final int ckarel$Notfacingwest = 41;
   public static final int ckarel$Notfacingnorth = 42;
   public static final int ckarel$Beginprog = 43;
   public static final int ckarel$Beginexec = 44;
   public static final int ckarel$ignore = 45;   
        
        public _default
() {
                tokens = new Vector();
		for (int i=0; i<=349; i++)
		{
		  Vector Temp = new Vector();
		  finiteStateTypes[i] = Temp;
		  for (int j = 0; j<allStateTypes[i].length; j++)
		    {
		      Temp.addElement(new Integer(allStateTypes[i][j]));
		    }
		  
		}
	 }

   public int getCategoryId(String aName)
	 {
	        for (int i=0; i<=349; i++)
	         {
		    if (aName.equals(finiteStateName[i]))
		      return i;
		 }
	        return -1;
	 }
   
      public String getCategoryName(int aType)
	 {
	        if (aType ==-1) return "";
		else return finiteStateName[aType];
	 }

         
   
   public int getStartState()
   {
    return 0;
   }

   public CToken nextToken()
	 {
		CToken Token = null;
		
		if (tokens.size()>0) 
		  {
			 lastToken = Token = (CToken)tokens.elementAt(0);
			 tokens.removeElementAt(0);
		  }
		else
		  lastToken = readNextToken();
		return lastToken;
		
	 }
   
   public CToken currentToken()
	 {
		return lastToken;
	 }
   
   public CToken peekToken(int k)
	 {
		if (k==0) return lastToken;
		while (tokens.size()< k) tokens.addElement(readNextToken());
		return (CToken)tokens.elementAt(k-1);
	 }
 public int getFiniteStateType(int aState)
    {
	   return finiteStateType[aState];
	}
       
   public Vector getFiniteVector(int aState)
    {
	   return finiteStateTypes[aState];
    }

   public int getEdge(int aState, int aChar)
     {
	    if (aChar==-1) return cLexError;
	    int min = edges[aState][0];
		int max = edges[aState][1];
		if (aChar<min || aChar>max)
		  {
		     if (aChar<min) return edges[aState][2];
			 else return edges[aState][3];
		  }
		else
		  {
		    return edges[aState][aChar-min+4];
		  }
     }
   

 private CToken readNextToken()
     {
	CToken token=readNextTokenImp();
	do
	  {
	     if (token.type()==0)
	       {
		  while ((token=readNextTokenImp()).type()==0 && !token.isEOF());
		  if (token.type()==0)
		    {
		       return new CToken(token.isEOF(), token.row(), token.column(), token.fileName());
		    }
	       }
	     switch (token.type()) 
	       {
		  
		default:
		  ;
	       }
	  }
	while (token.type()==0);
	return token;
     }
   private char token[]= new char[200];

   private CToken readNextTokenImp()
     {
	int CurrentState = 0; // automata start state
	int NewState = cLexError;
	int LastState = 0;
	int TokenColumn = column;
	int TokenRow = row;
	int CurrentPosition = 0;
	int LastPosition = -1;
	NewState = getEdge(CurrentState, currentChar);
	do
	  {

	     if (NewState==-1)
	       {
		  int Type;
		  if ((Type =finiteStateType[CurrentState])==-1)
		    {
		       Type = finiteStateType[LastState];
		       if (Type==-1)
			 return new CToken(eof,TokenRow,TokenColumn,streamName );
		       else
			 {
			    CurrentState = LastState;
			    reset();
			    return new CToken(new String(token,0,LastPosition),Type,TokenColumn,TokenRow,LastPosition==0,currentChar==-1, finiteStateName[Type],CurrentState, streamName, finiteStateTypes[CurrentState]);
			 }
		    }
		  else
		    {
		       return new CToken(new String(token,0,CurrentPosition),Type,TokenColumn,TokenRow,CurrentPosition==0,currentChar==-1, finiteStateName[Type],CurrentState, streamName, finiteStateTypes[CurrentState]);
		    }
	       }
	     else
	       {
		  if (CurrentPosition>=token.length)
		    {
		       char temp[] = new char[CurrentPosition*2];
		       System.arraycopy(token,0,temp,0, token.length);
		       token = temp;
		    }
		  token[CurrentPosition++] = (char)currentChar;
		  readNextChar();
		  CurrentState = NewState;

		  NewState = getEdge(CurrentState, currentChar);
		  if (NewState==cLexError || finiteStateType[NewState]==-1)
		    {
		       if (finiteStateType[CurrentState]!=-1)
			 {
			    mark();
			    LastPosition = CurrentPosition;
			    LastState = CurrentState;
			 }
		    }
	       }
	  }
	while (true);
     }
   
   
   public CToken lexError(CToken aToken)
	 {
		return new CToken(aToken.value(), cLexError, aToken.row(), aToken.column(),
						  aToken.isEmpty(), aToken.isEOF(), aToken.name(), aToken.state(), aToken.fileName(),aToken.types());
	 }
   
      public int scanLine(int aStartState, String aLine, Vector aTokens)
     {
	int CurrentState = aStartState;
	int NewState=0, LastType=-1;
	Vector LastTypes = new Vector();
	int LastPos = 0, LastTokenPos = 0, CurrentPos = 0;
	while (CurrentPos <aLine.length() )
	  {
	     NewState = getEdge(CurrentState,aLine.charAt(CurrentPos));
	     if (NewState == -1)
	       {
		  int Type = finiteStateType[CurrentState];
		  Vector Types = finiteStateTypes[CurrentState];
		  if (Type == -1)
		    {
		       Type = LastType;
		       Types = LastTypes;
		       CurrentPos = LastPos;
		    }
		  if (LastTokenPos == CurrentPos) CurrentPos++; //v primeru leksikalne napake moramo tudi nekaj skozi poslat drugace se zazankamo
		  
		  CToken Token = new CToken(aLine.substring(LastTokenPos,CurrentPos),
					    Type,
					    LastTokenPos,
					    0,
					    false,
					    false,
					    "",
					    CurrentState,
					    "",
					    Types);
		  aTokens.addElement(Token);
		  LastTokenPos = CurrentPos;
		  NewState = 0; //%%%%%%
		  LastType = -1;
		  LastTypes = new Vector();
		  LastPos = CurrentPos;
	       }
	     else
	       {
		  if (finiteStateType[CurrentState]!=-1)
		    {
		       LastType = finiteStateType[CurrentState];
		       LastTypes = finiteStateTypes[CurrentState];
		       LastPos = CurrentPos;
		    }
		  CurrentPos++;
	       }
	     CurrentState = NewState;
	  }
	if (LastTokenPos!=CurrentPos)
	  {
	     CToken EToken = new CToken(aLine.substring(LastTokenPos,CurrentPos),
					finiteStateType[CurrentState],
					LastTokenPos,
					0,
					false,
					true,
					"",
										CurrentState,
					"",
					finiteStateTypes[CurrentState]);
	     aTokens.addElement(EToken);
	  }
	if (finiteStateType[CurrentState]!=-1)
	  CurrentState = 0;
	return CurrentState;
     }
   

   public CToken extend(String aToken)
   {
      System.out.println("Unimplemented feature 'extend'!");
      return null;
   }

   private void resetAutomata()
   {
     LastCurrent = 0;
	 NewState = 0;
   }

   		
   private void print(String aString)
	 {
		System.out.print(aString);
		System.out.flush();
	 }
	
	public int maxCategoryId()
	 {
	    return 45;
	 }


   

   private short finiteStateType[] = { 
       -1, 13, -1, -1, -1, 9, -1, -1, -1, -1, 1, 14, 17, -1, -1, -1, -1, -1, 6, -1, -1, 7, -1, -1, 8, -1, -1, -1, 2, -1, -1, -1, 21, -1, -1, -1, -1, -1, -1, -1, -1, 10, -1, -1, -1, -1, -1, -1, -1, 11, 24, -1, 22, -1, -1, -1, -1, -1, -1, 43, -1, -1, -1, -1, -1, -1, -1, -1, 44, -1, -1, -1, -1, -1, -1, -1, -1, 25, -1, -1, -1, -1, -1, -1, 30, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 12, 3, 4, -1, -1, -1, -1, 36, -1, -1, -1, -1, -1, -1, 37, -1, -1, -1, -1, 34, -1, -1, -1, -1, -1, -1, 31, -1, -1, -1, -1, 38, -1, -1, -1, -1, -1, -1, 35, -1, -1, -1, -1, 32, -1, -1, -1, -1, -1, -1, 33, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 15, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 20, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 16, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 18, -1, -1, -1, -1, 26, -1, -1, -1, -1, 42, -1, -1, -1, -1, 27, -1, -1, -1, -1, 40, -1, -1, -1, 28, -1, -1, -1, 39, -1, -1, -1, 29, -1, -1, -1, 41, 5, 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 19, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 23, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
  }
;
   private String finiteStateName[] = { 
       "ignore","karel$While","karel$Move","karel$Identifier","karel$Number","karel$terminal","karel$Iterate","karel$Then","karel$Else","karel$Times","karel$Pickbeeper","karel$Putbeeper","karel$Defnewinst","karel$As","karel$Do","karel$Nexttobeeper","karel$Beepersinbag","karel$If","karel$Nobeepersinbag","karel$End","karel$Notnexttobeeper","karel$Turnleft","karel$Turnoff","karel$Begin","karel$Turnon","karel$Endexec","karel$Facingnorth","karel$Facingsouth","karel$Facingeast","karel$Facingwest","karel$Endprog","karel$Leftisblocked","karel$Backisclear","karel$Backisblocked","karel$Leftisclear","karel$Rightisblocked","karel$Frontisclear","karel$Frontisblocked","karel$Rightisclear","karel$Notfacingeast","karel$Notfacingsouth","karel$Notfacingwest","karel$Notfacingnorth","karel$Beginprog","karel$Beginexec","karel$ignore",null
  }
;
   private short edges[][] = {  // max char 122
                        {9, 122, -1, -1, 270, 270, -1, -1, 270, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 270, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 269, -1, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, -1, -1, -1, -1, -1, -1, -1, 271, 272, -1, 273, 274, 275, -1, -1, 276, -1, -1, 277, 25, 278, -1, 279, -1, 280, -1, 281, -1, -1, 6, -1, -1, -1, -1, -1, -1, -1, -1, -1, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106 }, 
                        {122, 122, -1, -1, -1 }, 
                        {77, 77, -1, -1, 3 }, 
                        {69, 69, -1, -1, 4 }, 
                        {83, 83, -1, -1, 5 }, 
                        {122, 122, -1, -1, -1 }, 
                        {72, 72, -1, -1, 7 }, 
                        {73, 73, -1, -1, 8 }, 
                        {76, 76, -1, -1, 9 }, 
                        {69, 69, -1, -1, 10 }, 
                        {122, 122, -1, -1, -1 }, 
                        {122, 122, -1, -1, -1 }, 
                        {122, 122, -1, -1, -1 }, 
                        {69, 69, -1, -1, 14 }, 
                        {82, 82, -1, -1, 15 }, 
                        {65, 65, -1, -1, 16 }, 
                        {84, 84, -1, -1, 17 }, 
                        {69, 69, -1, -1, 18 }, 
                        {122, 122, -1, -1, -1 }, 
                        {69, 69, -1, -1, 20 }, 
                        {78, 78, -1, -1, 21 }, 
                        {122, 122, -1, -1, -1 }, 
                        {83, 83, -1, -1, 23 }, 
                        {69, 69, -1, -1, 24 }, 
                        {122, 122, -1, -1, -1 }, 
                        {79, 79, -1, -1, 26 }, 
                        {86, 86, -1, -1, 27 }, 
                        {69, 69, -1, -1, 28 }, 
                        {122, 122, -1, -1, -1 }, 
                        {69, 69, -1, -1, 30 }, 
                        {70, 70, -1, -1, 31 }, 
                        {84, 84, -1, -1, 32 }, 
                        {122, 122, -1, -1, -1 }, 
                        {67, 67, -1, -1, 34 }, 
                        {75, 75, -1, -1, 35 }, 
                        {66, 66, -1, -1, 36 }, 
                        {69, 69, -1, -1, 37 }, 
                        {69, 69, -1, -1, 38 }, 
                        {80, 80, -1, -1, 39 }, 
                        {69, 69, -1, -1, 40 }, 
                        {82, 82, -1, -1, 41 }, 
                        {122, 122, -1, -1, -1 }, 
                        {84, 84, -1, -1, 43 }, 
                        {66, 66, -1, -1, 44 }, 
                        {69, 69, -1, -1, 45 }, 
                        {69, 69, -1, -1, 46 }, 
                        {80, 80, -1, -1, 47 }, 
                        {69, 69, -1, -1, 48 }, 
                        {82, 82, -1, -1, 49 }, 
                        {122, 122, -1, -1, -1 }, 
                        {122, 122, -1, -1, -1 }, 
                        {70, 70, -1, -1, 52 }, 
                        {122, 122, -1, -1, -1 }, 
                        {82, 82, -1, -1, 54 }, 
                        {79, 79, -1, -1, 55 }, 
                        {71, 71, -1, -1, 56 }, 
                        {82, 82, -1, -1, 57 }, 
                        {65, 65, -1, -1, 58 }, 
                        {77, 77, -1, -1, 59 }, 
                        {122, 122, -1, -1, -1 }, 
                        {88, 88, -1, -1, 61 }, 
                        {69, 69, -1, -1, 62 }, 
                        {67, 67, -1, -1, 63 }, 
                        {85, 85, -1, -1, 64 }, 
                        {84, 84, -1, -1, 65 }, 
                        {73, 73, -1, -1, 66 }, 
                        {79, 79, -1, -1, 67 }, 
                        {78, 78, -1, -1, 68 }, 
                        {122, 122, -1, -1, -1 }, 
                        {88, 88, -1, -1, 70 }, 
                        {69, 69, -1, -1, 71 }, 
                        {67, 67, -1, -1, 72 }, 
                        {85, 85, -1, -1, 73 }, 
                        {84, 84, -1, -1, 74 }, 
                        {73, 73, -1, -1, 75 }, 
                        {79, 79, -1, -1, 76 }, 
                        {78, 78, -1, -1, 77 }, 
                        {122, 122, -1, -1, -1 }, 
                        {82, 82, -1, -1, 79 }, 
                        {79, 79, -1, -1, 80 }, 
                        {71, 71, -1, -1, 81 }, 
                        {82, 82, -1, -1, 82 }, 
                        {65, 65, -1, -1, 83 }, 
                        {77, 77, -1, -1, 84 }, 
                        {122, 122, -1, -1, -1 }, 
                        {70, 70, -1, -1, 86 }, 
                        {73, 73, -1, -1, 87 }, 
                        {78, 78, -1, -1, 88 }, 
                        {69, 69, -1, -1, 89 }, 
                        {45, 45, -1, -1, 90 }, 
                        {78, 78, -1, -1, 91 }, 
                        {69, 69, -1, -1, 92 }, 
                        {87, 87, -1, -1, 93 }, 
                        {45, 45, -1, -1, 94 }, 
                        {73, 73, -1, -1, 95 }, 
                        {78, 78, -1, -1, 96 }, 
                        {83, 83, -1, -1, 97 }, 
                        {84, 84, -1, -1, 98 }, 
                        {82, 82, -1, -1, 99 }, 
                        {85, 85, -1, -1, 100 }, 
                        {67, 67, -1, -1, 101 }, 
                        {84, 84, -1, -1, 102 }, 
                        {73, 73, -1, -1, 103 }, 
                        {79, 79, -1, -1, 104 }, 
                        {78, 78, -1, -1, 105 }, 
                        {122, 122, -1, -1, -1 }, 
                        {48, 122, -1, -1, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106 }, 
                        {48, 57, -1, -1, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107 }, 
                        {76, 76, -1, -1, 109 }, 
                        {69, 69, -1, -1, 110 }, 
                        {65, 65, -1, -1, 111 }, 
                        {82, 82, -1, -1, 112 }, 
                        {122, 122, -1, -1, -1 }, 
                        {76, 76, -1, -1, 114 }, 
                        {79, 79, -1, -1, 115 }, 
                        {67, 67, -1, -1, 116 }, 
                        {75, 75, -1, -1, 117 }, 
                        {69, 69, -1, -1, 118 }, 
                        {68, 68, -1, -1, 119 }, 
                        {122, 122, -1, -1, -1 }, 
                        {76, 76, -1, -1, 121 }, 
                        {69, 69, -1, -1, 122 }, 
                        {65, 65, -1, -1, 123 }, 
                        {82, 82, -1, -1, 124 }, 
                        {122, 122, -1, -1, -1 }, 
                        {76, 76, -1, -1, 126 }, 
                        {79, 79, -1, -1, 127 }, 
                        {67, 67, -1, -1, 128 }, 
                        {75, 75, -1, -1, 129 }, 
                        {69, 69, -1, -1, 130 }, 
                        {68, 68, -1, -1, 131 }, 
                        {122, 122, -1, -1, -1 }, 
                        {76, 76, -1, -1, 133 }, 
                        {69, 69, -1, -1, 134 }, 
                        {65, 65, -1, -1, 135 }, 
                        {82, 82, -1, -1, 136 }, 
                        {122, 122, -1, -1, -1 }, 
                        {76, 76, -1, -1, 138 }, 
                        {79, 79, -1, -1, 139 }, 
                        {67, 67, -1, -1, 140 }, 
                        {75, 75, -1, -1, 141 }, 
                        {69, 69, -1, -1, 142 }, 
                        {68, 68, -1, -1, 143 }, 
                        {122, 122, -1, -1, -1 }, 
                        {76, 76, -1, -1, 145 }, 
                        {69, 69, -1, -1, 146 }, 
                        {65, 65, -1, -1, 147 }, 
                        {82, 82, -1, -1, 148 }, 
                        {122, 122, -1, -1, -1 }, 
                        {76, 76, -1, -1, 150 }, 
                        {79, 79, -1, -1, 151 }, 
                        {67, 67, -1, -1, 152 }, 
                        {75, 75, -1, -1, 153 }, 
                        {69, 69, -1, -1, 154 }, 
                        {68, 68, -1, -1, 155 }, 
                        {122, 122, -1, -1, -1 }, 
                        {88, 88, -1, -1, 157 }, 
                        {84, 84, -1, -1, 158 }, 
                        {45, 45, -1, -1, 159 }, 
                        {84, 84, -1, -1, 160 }, 
                        {79, 79, -1, -1, 161 }, 
                        {45, 45, -1, -1, 162 }, 
                        {65, 65, -1, -1, 163 }, 
                        {45, 45, -1, -1, 164 }, 
                        {66, 66, -1, -1, 165 }, 
                        {69, 69, -1, -1, 166 }, 
                        {69, 69, -1, -1, 167 }, 
                        {80, 80, -1, -1, 168 }, 
                        {69, 69, -1, -1, 169 }, 
                        {82, 82, -1, -1, 170 }, 
                        {122, 122, -1, -1, -1 }, 
                        {69, 69, -1, -1, 172 }, 
                        {88, 88, -1, -1, 173 }, 
                        {84, 84, -1, -1, 174 }, 
                        {45, 45, -1, -1, 175 }, 
                        {84, 84, -1, -1, 176 }, 
                        {79, 79, -1, -1, 177 }, 
                        {45, 45, -1, -1, 178 }, 
                        {65, 65, -1, -1, 179 }, 
                        {45, 45, -1, -1, 180 }, 
                        {66, 66, -1, -1, 181 }, 
                        {69, 69, -1, -1, 182 }, 
                        {69, 69, -1, -1, 183 }, 
                        {80, 80, -1, -1, 184 }, 
                        {69, 69, -1, -1, 185 }, 
                        {82, 82, -1, -1, 186 }, 
                        {122, 122, -1, -1, -1 }, 
                        {89, 89, -1, -1, 188 }, 
                        {45, 45, -1, -1, 189 }, 
                        {66, 66, -1, -1, 190 }, 
                        {69, 69, -1, -1, 191 }, 
                        {69, 69, -1, -1, 192 }, 
                        {80, 80, -1, -1, 193 }, 
                        {69, 69, -1, -1, 194 }, 
                        {82, 82, -1, -1, 195 }, 
                        {83, 83, -1, -1, 196 }, 
                        {45, 45, -1, -1, 197 }, 
                        {73, 73, -1, -1, 198 }, 
                        {78, 78, -1, -1, 199 }, 
                        {45, 45, -1, -1, 200 }, 
                        {66, 66, -1, -1, 201 }, 
                        {69, 69, -1, -1, 202 }, 
                        {69, 69, -1, -1, 203 }, 
                        {80, 80, -1, -1, 204 }, 
                        {69, 69, -1, -1, 205 }, 
                        {82, 82, -1, -1, 206 }, 
                        {45, 45, -1, -1, 207 }, 
                        {66, 66, -1, -1, 208 }, 
                        {65, 65, -1, -1, 209 }, 
                        {71, 71, -1, -1, 210 }, 
                        {122, 122, -1, -1, -1 }, 
                        {66, 66, -1, -1, 212 }, 
                        {69, 69, -1, -1, 213 }, 
                        {69, 69, -1, -1, 214 }, 
                        {80, 80, -1, -1, 215 }, 
                        {69, 69, -1, -1, 216 }, 
                        {82, 82, -1, -1, 217 }, 
                        {83, 83, -1, -1, 218 }, 
                        {45, 45, -1, -1, 219 }, 
                        {73, 73, -1, -1, 220 }, 
                        {78, 78, -1, -1, 221 }, 
                        {45, 45, -1, -1, 222 }, 
                        {66, 66, -1, -1, 223 }, 
                        {69, 69, -1, -1, 224 }, 
                        {69, 69, -1, -1, 225 }, 
                        {80, 80, -1, -1, 226 }, 
                        {69, 69, -1, -1, 227 }, 
                        {82, 82, -1, -1, 228 }, 
                        {45, 45, -1, -1, 229 }, 
                        {66, 66, -1, -1, 230 }, 
                        {65, 65, -1, -1, 231 }, 
                        {71, 71, -1, -1, 232 }, 
                        {122, 122, -1, -1, -1 }, 
                        {79, 79, -1, -1, 234 }, 
                        {82, 82, -1, -1, 235 }, 
                        {84, 84, -1, -1, 236 }, 
                        {72, 72, -1, -1, 237 }, 
                        {122, 122, -1, -1, -1 }, 
                        {79, 79, -1, -1, 239 }, 
                        {82, 82, -1, -1, 240 }, 
                        {84, 84, -1, -1, 241 }, 
                        {72, 72, -1, -1, 242 }, 
                        {122, 122, -1, -1, -1 }, 
                        {79, 79, -1, -1, 244 }, 
                        {85, 85, -1, -1, 245 }, 
                        {84, 84, -1, -1, 246 }, 
                        {72, 72, -1, -1, 247 }, 
                        {122, 122, -1, -1, -1 }, 
                        {79, 79, -1, -1, 249 }, 
                        {85, 85, -1, -1, 250 }, 
                        {84, 84, -1, -1, 251 }, 
                        {72, 72, -1, -1, 252 }, 
                        {122, 122, -1, -1, -1 }, 
                        {65, 65, -1, -1, 254 }, 
                        {83, 83, -1, -1, 255 }, 
                        {84, 84, -1, -1, 256 }, 
                        {122, 122, -1, -1, -1 }, 
                        {65, 65, -1, -1, 258 }, 
                        {83, 83, -1, -1, 259 }, 
                        {84, 84, -1, -1, 260 }, 
                        {122, 122, -1, -1, -1 }, 
                        {69, 69, -1, -1, 262 }, 
                        {83, 83, -1, -1, 263 }, 
                        {84, 84, -1, -1, 264 }, 
                        {122, 122, -1, -1, -1 }, 
                        {69, 69, -1, -1, 266 }, 
                        {83, 83, -1, -1, 267 }, 
                        {84, 84, -1, -1, 268 }, 
                        {122, 122, -1, -1, -1 }, 
                        {122, 122, -1, -1, -1 }, 
                        {9, 32, -1, -1, 270, 270, -1, -1, 270, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 270 }, 
                        {78, 83, -1, -1, 187, -1, -1, -1, -1, 1 }, 
                        {65, 69, -1, -1, 282, -1, -1, -1, 283 }, 
                        {69, 79, -1, -1, 85, -1, -1, -1, -1, -1, -1, -1, -1, -1, 11 }, 
                        {76, 78, -1, -1, 22, -1, 284 }, 
                        {65, 82, -1, -1, 285, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 286 }, 
                        {70, 84, -1, -1, 12, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 13 }, 
                        {69, 69, -1, -1, 287 }, 
                        {69, 79, -1, -1, 156, -1, -1, -1, -1, -1, -1, -1, -1, -1, 288 }, 
                        {73, 85, -1, -1, 33, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 42 }, 
                        {73, 73, -1, -1, 289 }, 
                        {72, 85, -1, -1, 19, 2, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 290 }, 
                        {67, 67, -1, -1, 291 }, 
                        {71, 71, -1, -1, 292 }, 
                        {68, 68, -1, -1, 293 }, 
                        {67, 67, -1, -1, 294 }, 
                        {79, 79, -1, -1, 295 }, 
                        {70, 70, -1, -1, 296 }, 
                        {45, 84, -1, -1, 211, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 297 }, 
                        {71, 71, -1, -1, 298 }, 
                        {82, 82, -1, -1, 299 }, 
                        {75, 75, -1, -1, 300 }, 
                        {73, 73, -1, -1, 301 }, 
                        {45, 45, -1, -1, 302 }, 
                        {73, 73, -1, -1, 303 }, 
                        {78, 78, -1, -1, 304 }, 
                        {84, 84, -1, -1, 305 }, 
                        {45, 45, -1, -1, 306 }, 
                        {72, 72, -1, -1, 307 }, 
                        {78, 78, -1, -1, 308 }, 
                        {45, 45, -1, -1, 309 }, 
                        {78, 78, -1, -1, 310 }, 
                        {79, 79, -1, -1, 311 }, 
                        {78, 78, -1, -1, 312 }, 
                        {84, 84, -1, -1, 313 }, 
                        {45, 45, -1, -1, 314 }, 
                        {70, 78, -1, -1, 315, -1, -1, -1, -1, -1, -1, -1, 171 }, 
                        {84, 84, -1, -1, 316 }, 
                        {76, 79, -1, -1, 29, -1, -1, 317 }, 
                        {73, 73, -1, -1, 318 }, 
                        {78, 78, -1, -1, 319 }, 
                        {70, 70, -1, -1, 320 }, 
                        {71, 71, -1, -1, 321 }, 
                        {45, 45, -1, -1, 322 }, 
                        {73, 73, -1, -1, 323 }, 
                        {65, 65, -1, -1, 324 }, 
                        {45, 45, -1, -1, 325 }, 
                        {70, 78, -1, -1, 51, -1, -1, -1, -1, -1, -1, -1, 50 }, 
                        {83, 83, -1, -1, 326 }, 
                        {73, 73, -1, -1, 327 }, 
                        {45, 45, -1, -1, 328 }, 
                        {45, 45, -1, -1, 329 }, 
                        {73, 73, -1, -1, 330 }, 
                        {83, 83, -1, -1, 331 }, 
                        {67, 67, -1, -1, 332 }, 
                        {73, 73, -1, -1, 333 }, 
                        {45, 45, -1, -1, 334 }, 
                        {78, 78, -1, -1, 335 }, 
                        {69, 80, -1, -1, 69, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 78 }, 
                        {69, 87, -1, -1, 253, -1, -1, -1, -1, -1, -1, -1, -1, 233, -1, -1, -1, -1, 243, -1, -1, -1, 261 }, 
                        {83, 83, -1, -1, 336 }, 
                        {45, 45, -1, -1, 337 }, 
                        {73, 73, -1, -1, 338 }, 
                        {83, 83, -1, -1, 339 }, 
                        {66, 67, -1, -1, 149, 144 }, 
                        {71, 71, -1, -1, 340 }, 
                        {45, 45, -1, -1, 341 }, 
                        {66, 67, -1, -1, 125, 120 }, 
                        {78, 78, -1, -1, 342 }, 
                        {45, 45, -1, -1, 343 }, 
                        {45, 45, -1, -1, 344 }, 
                        {66, 67, -1, -1, 113, 108 }, 
                        {71, 71, -1, -1, 345 }, 
                        {66, 67, -1, -1, 137, 132 }, 
                        {79, 79, -1, -1, 346 }, 
                        {45, 45, -1, -1, 347 }, 
                        {70, 70, -1, -1, 348 }, 
                        {69, 87, -1, -1, 257, -1, -1, -1, -1, -1, -1, -1, -1, 238, -1, -1, -1, -1, 248, -1, -1, -1, 265 }, 
                        {45, 45, -1, -1, 349 }, 
                        {69, 80, -1, -1, 60, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 53 }
  }
;
   private short allStateTypes[][] = { { },
   {13 },
   { },
   { },
   { },
   {9 },
   { },
   { },
   { },
   { },
   {1 },
   {14 },
   {17 },
   { },
   { },
   { },
   { },
   { },
   {6 },
   { },
   { },
   {7 },
   { },
   { },
   {8 },
   { },
   { },
   { },
   {2 },
   { },
   { },
   { },
   {21 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {10 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {11 },
   {24 },
   { },
   {22 },
   { },
   { },
   { },
   { },
   { },
   { },
   {43 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {44 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {25 },
   { },
   { },
   { },
   { },
   { },
   { },
   {30 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {12 },
   {3 },
   {4 },
   { },
   { },
   { },
   { },
   {36 },
   { },
   { },
   { },
   { },
   { },
   { },
   {37 },
   { },
   { },
   { },
   { },
   {34 },
   { },
   { },
   { },
   { },
   { },
   { },
   {31 },
   { },
   { },
   { },
   { },
   {38 },
   { },
   { },
   { },
   { },
   { },
   { },
   {35 },
   { },
   { },
   { },
   { },
   {32 },
   { },
   { },
   { },
   { },
   { },
   { },
   {33 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {15 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {20 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {16 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {18 },
   { },
   { },
   { },
   { },
   {26 },
   { },
   { },
   { },
   { },
   {42 },
   { },
   { },
   { },
   { },
   {27 },
   { },
   { },
   { },
   { },
   {40 },
   { },
   { },
   { },
   {28 },
   { },
   { },
   { },
   {39 },
   { },
   { },
   { },
   {29 },
   { },
   { },
   { },
   {41 },
   {5 },
   {0, 45 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {19 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   {23 },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { },
   { }};

   private Vector tokens;
   private CToken lastToken = null;
   private int NewState;
   private int LastCurrent;
   

   private Vector finiteStateTypes[]= new Vector[349+1];


}

   private short finiteStateTypeAll[] = { 
       -1, 13, -1, -1, -1, 9, -1, -1, -1, -1, 1, 14, 17, -1, -1, -1, -1, -1, 6, -1, -1, 7, -1, -1, 8, -1, -1, -1, 2, -1, -1, -1, 21, -1, -1, -1, -1, -1, -1, -1, -1, 10, -1, -1, -1, -1, -1, -1, -1, 11, 24, -1, 22, -1, -1, -1, -1, -1, -1, 43, -1, -1, -1, -1, -1, -1, -1, -1, 44, -1, -1, -1, -1, -1, -1, -1, -1, 25, -1, -1, -1, -1, -1, -1, 30, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 12, 3, 4, -1, -1, -1, -1, 36, -1, -1, -1, -1, -1, -1, 37, -1, -1, -1, -1, 34, -1, -1, -1, -1, -1, -1, 31, -1, -1, -1, -1, 38, -1, -1, -1, -1, -1, -1, 35, -1, -1, -1, -1, 32, -1, -1, -1, -1, -1, -1, 33, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 15, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 20, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 16, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 18, -1, -1, -1, -1, 26, -1, -1, -1, -1, 42, -1, -1, -1, -1, 27, -1, -1, -1, -1, 40, -1, -1, -1, 28, -1, -1, -1, 39, -1, -1, -1, 29, -1, -1, -1, 41, 5, 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 19, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 23, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
  }
;
   private String finiteStateNameAll[] = { 
       "ignore","karel$While","karel$Move","karel$Identifier","karel$Number","karel$terminal","karel$Iterate","karel$Then","karel$Else","karel$Times","karel$Pickbeeper","karel$Putbeeper","karel$Defnewinst","karel$As","karel$Do","karel$Nexttobeeper","karel$Beepersinbag","karel$If","karel$Nobeepersinbag","karel$End","karel$Notnexttobeeper","karel$Turnleft","karel$Turnoff","karel$Begin","karel$Turnon","karel$Endexec","karel$Facingnorth","karel$Facingsouth","karel$Facingeast","karel$Facingwest","karel$Endprog","karel$Leftisblocked","karel$Backisclear","karel$Backisblocked","karel$Leftisclear","karel$Rightisblocked","karel$Frontisclear","karel$Frontisblocked","karel$Rightisclear","karel$Notfacingeast","karel$Notfacingsouth","karel$Notfacingwest","karel$Notfacingnorth","karel$Beginprog","karel$Beginexec","karel$ignore",null
  }
;
   
}


