package  Alma;
import Alma.animation.patterns.AnimationPattern;
import  Lisa.Parser.*;
import java.util.ArrayList;

public abstract class  CAlmaNode  extends  CTreeNode  {

	protected  CAlmaNode(CParseSymbol  aParseSymbol ,  String  aName,  Object  aValue, String  aType)
	{
		super(aParseSymbol);
		Object[]  attrs  =  new  Object[4];
		attrs[0]  =  aName;
		attrs[1]  =  aValue;
		attrs[2]  =  aType;
        attrs[3]  =  new ArrayList<AnimationPattern>(); //to store the APS
	
		setAttributes(attrs);
		
	}

	public  String  getName()  
	{  
		return  ((String)((Object[])getAttributes())[0]);  
	}  

	public  String  getType()  
	{
		return  ((String)((Object[])getAttributes())[2]);
	}  
	
	public  Object  getValue()  
	{
		Object obj = ((Object[])getAttributes())[1];
		return  obj;
	}  
	
	public  void  setValue(Object  aValue)  
	{
		((Object[])getAttributes())[1]  =  aValue;
	}
        public void setName(String aName)
        {
		((Object[])getAttributes())[0]  =  aName;
	}
        public void setType(String aType)
        {
                ((Object[])getAttributes())[2]  =  aType;
        }

    @Override
	public CParseSymbol getSymbol()
	{
		return super.getSymbol();
	}

    public ArrayList<AnimationPattern> getAps() {
        return ((ArrayList<AnimationPattern>)((Object[])getAttributes())[3]);
    }

    public void setAps(ArrayList<AnimationPattern> aps) {
        ((Object[])getAttributes())[3]  =  aps;
    }



    


    
       public void print()
       {
	       System.out.println("--> " + this + " - " + this.getName() + " , " + this.getType() + " , " + this.getValue() 
                   + "\n" + this.getAps().toString());
       }	       
}
