package Alma;

import java.util.ArrayList;

public class Steps
{
	private ArrayList steps;
	private int position;
	
	public Steps()
	{
		this.steps = new ArrayList();
		this.position = 0;
	}

	public void addStep(Table step)
	{
		this.steps.add(step);
	}

	public Table getLast()
	{
		Table res = null;

		if (this.steps.size() > 0)
			res = ((Table)this.steps.get(this.steps.size()-1));
		
		return res;
	}

	public Table getPenultimate()
	{
		Table res = null;

		if (this.steps.size() > 0)
			res = ((Table)this.steps.get(this.steps.size()-2));
		
		return res;
	}

	public Table getBackStep()
	{
		Table tmp = new Table();
		
		if ((this.steps != null) && (this.position >= 0))
		{
			if (this.position != 0) {this.position--; }
			tmp = (Table)this.steps.get(this.position);
		}

		return tmp;
		
	}
	
	public Table getForwardStep()
	{
		Table tmp = new Table();
		
		if ((this.steps != null) && 
		    (this.position >= 0) && 
		    (this.position < this.steps.size()-1))
		{
			this.position++;
			tmp = (Table)this.steps.get(this.position);
		}

		return tmp;
		
	}
	
	public ArrayList getSteps()
	{
		return this.steps;
	}

	public int getPosition()
	{
		return this.position;
	}

	/*
	 * set the position 
	 * */
	public void setPosition(int position)
	{
		this.position = position;
	}
}

