//Lisa 2.0  
//Laboratory for Computer Arhitectures and Programming Languages 
import Lisa.Parser.*;
import Lisa.Scanner.*;
import Lisa.Interface.*;
import Lisa.Interface.CTime;
import java.io.*;
import Alma.*;

public class Compile {
   public static void main(String[] args) throws Exception
     {
CMessage.setMessage(new CAnsiTerminalMessage(System.out,System.out,System.out));
	Alma.AnimateFrame mainFrame = new Alma.AnimateFrame();
      CTime stopWatch = new CTime();
	CScanner Scanner = new CScanner(new FileInputStream(args[0]), args[0]);
      CParser Parser = new CParser();
	stopWatch.start();
	CSyntaxTree  Tree =Parser.parse(Scanner);
	
	if (Tree!= null) 
	  {
	     CEvaluator Evaluator = new CEvaluator();
	     stopWatch.start();
		 Object o = Evaluator.evaluate(Tree.getRoot());
		 double time = stopWatch.current();
		 
		 CSyntaxTree s = (CSyntaxTree) o.getClass().getField("dast").get(o);
		
		  mainFrame.setRoot(s);	

		 if (args.length > 0) {
			 mainFrame.setFile(args[0]);
			 mainFrame.createBackend();
			 mainFrame.initComponents();
			 mainFrame.setVisible();	 
		 }
		 else {
			 System.exit(0);
		 }	  }
	  
     }
}
