START     ::= PROG .
{
  START.kod = "\n" + PROG.kod;
}
PROG      ::= STAVEK STA_POM .
{
  PROG.kod = STAVEK.kod + STA_POM.kod;
}


STA_POM   ::= ; PROG .
{
  STA_POM.kod = PROG.kod;
}

STA_POM   ::= <> .
{
   STA_POM.kod = "";
}

STAVEK    ::= skip .
{
  STAVEK.kod = "NOOP\n";
}

STAVEK    ::= #Identifikator = IZRAZ .
{
  STAVEK.kod = IZRAZ.kod +" STORE "+ #Identifikator.value()+"\n";
}

STAVEK    ::= if ( L_IZR ) then ( PROG ) else ( PROG ) .
{
   STAVEK.kod = L_IZR.kod +" BRANCH( "+ PROG[0].kod + ","+PROG[1].kod+")\n";
}

STAVEK    ::= while ( L_IZR ) do ( PROG ) .
{
  STAVEK.kod = "LOOP(" + L_IZR.kod +","+PROG.kod+")\n";
}

IZRAZ     ::= TERM IZRAZ_POM .
{
  IZRAZ_POM.pod = TERM.kod;
  IZRAZ.kod = IZRAZ_POM.kod;
}

IZRAZ_POM ::= A_OP TERM IZRAZ_POM .
{
  IZRAZ_POM[0].kod = IZRAZ_POM[1].kod;
  IZRAZ_POM[1].pod = TERM.kod + IZRAZ_POM[0].pod + A_OP.kod;

}

IZRAZ_POM ::= <> .
{
  IZRAZ_POM.kod = IZRAZ_POM.pod;
}

TERM      ::= FAKT TERM_POM .
{
  TERM_POM.pod = FAKT.kod;
  TERM.kod = TERM_POM.kod;
}

TERM_POM  ::= * FAKT TERM_POM .
{
  TERM_POM[1].pod = FAKT.kod + TERM_POM[0].pod + " MULT ";
  TERM_POM[0].kod = TERM_POM[1].kod;
}

TERM_POM  ::= <> .
{
  TERM_POM.kod  = TERM_POM.pod;
}

FAKT      ::= ( IZRAZ ) .
{
  FAKT.kod = IZRAZ.kod;
}
FAKT      ::= #Identifikator .
{
  FAKT.kod = "FETCH "+#Identifikator.value()+" ";
}

FAKT      ::= #STEVILO .
{
  FAKT.kod = "PUSH "+#Stevilo.value()+" ";
}

L_IZR     ::= L_NE L_IZR_POM .
{
  L_IZR_POM.pod = L_NE.kod;
  L_IZR.kod = L_IZR_POM.kod;
}

L_IZR_POM ::= and L_NE L_IZR_POM .
{
  L_IZR_POM[0].kod = L_IZR_POM[1].kod;
  L_IZR_POM[1].pod = L_NE.kod + L_IZR_POM[0].pod +"AND ";
}

L_IZR_POM ::= <> .
{
  L_IZR_POM.kod = L_IZR_POM.pod;
}

L_NE      ::= not L_OSN .
{
 L_NE.kod = L_OSN.kod +"NEG ";
}

L_NE      ::= L_OSN .
{
 L_NE.kod = L_OSN.kod;
}

L_OSN     ::= true .
{
 L_OSN.kod = "TRUE ";
}

L_OSN     ::= false .
{
 L_OSN.kod = "FALSE ";
}

L_OSN     ::= IZRAZ R_OP IZRAZ .
{
 L_OSN.kod = IZRAZ[1].kod + IZRAZ[0].kod + R_OP.kod;
}

R_OP      ::= <= .
{
 R_OP.kod = "LE ";
}

R_OP      ::= '=' .
{
 R_OP.kod ="EQ ";
}


A_OP      ::= + .
{
  A_OP.kod = "ADD ";
}

A_OP      ::= - .
{
  A_OP.kod = "SUB ";
}

%
 String *.kod, *.pod;
 
 
